Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.analysis
Class SequenceSource

    java.lang.Object
      uchicago.src.sim.analysis.SequenceSource

All Implemented Interfaces:
  GuiChartDataSource

    public class SequenceSource

extends java.lang.Object
implements GuiChartDataSource

Data source for a Sequence created via the gui chart creator. This describes the sequence that will displayed in an OpenSequenceGraph.

Version:
  $Revision: 1.11 $ $Date: 2004/11/03 19:51:00 $

Constructor Summary
`SequenceSource(java.lang.Object feedFrom)` Creates a SequenceSource whose data is feed from the specified object.

Method Summary
`GuiChartDataSource` | `copy()` Returns a copy of this GuiChartDataSource.
`java.awt.Color` | `getColor()` Returns the Color of the sequence created by this SequenceSource.
`java.lang.Object` | `getFeedFrom()` Returns the Object that provides the data (via a method or a field) for this SequenceSource.
`java.lang.String` | `getFieldName()` Returns the field name is the data for this SequenceSource is a field.
`java.lang.String` | `getFullName()` Returns the name of this data source prefixed by its source.
`int` | `getMarkStyle()` Returns the mark style (the shape of the point) for this SequenceSource.
`java.lang.String` | `getMethodName()` Returns the name of the method that is the source of the data for this SequenceSource.
`java.lang.String` | `getName()` Returns the name of this SequenceSource.
`java.lang.String` | `getShortName()` Returns the name of this data source.
`void` | `setColor(java.awt.Color color)` Sets the Color of the sequence created by this SequenceSource.
`void` | `setFeedFrom(java.lang.Object feedFrom)` Sets the Object that provides the data (via a method or a field) for this SequenceSource.
`void` | `setFieldName(java.lang.String fieldName)` Sets the field name of the field from which this SequenceSource gets its data.
`void` | `setMarkStyle(int markType)` Returns the mark style (the shape of the point) for this SequenceSource.
`void` | `setMethodName(java.lang.String methodName)` Sets the name of the method that is the source of the data for this SequenceSource
`void` | `setName(java.lang.String name)` Sets the name of this SequenceSource.
`java.lang.String` | `toXML()` Returns an XML representation of this GuiChartDataSource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceSource

    public SequenceSource(java.lang.Object feedFrom)

  Creates a SequenceSource whose data is feed from the specified object.

  Parameters:
    `feedFrom` - the object from which the data for this source comes

Method Detail

### getFieldName

    public java.lang.String getFieldName()

  Returns the field name is the data for this SequenceSource is a field.

### setFieldName

    public void setFieldName(java.lang.String fieldName)

  Sets the field name of the field from which this SequenceSource gets its data. This can be null.

  Parameters:
    `fieldName` - the name of the field that provides data for this SequenceSource

### getName

    public java.lang.String getName()

  Returns the name of this SequenceSource. This name will be the legend for this sequence.

### setName

    public void setName(java.lang.String name)

  Sets the name of this SequenceSource. This name will be the legend for this sequence.

  Parameters:
    `name` - the name of this SequenceSource

### getMethodName

    public java.lang.String getMethodName()

  Returns the name of the method that is the source of the data for this SequenceSource.

### setMethodName

    public void setMethodName(java.lang.String methodName)

  Sets the name of the method that is the source of the data for this SequenceSource

  Parameters:
    `methodName` - the name of the method that is the source of the data for this SequenceSource

### getFeedFrom

    public java.lang.Object getFeedFrom()

  Returns the Object that provides the data (via a method or a field) for this SequenceSource.

### setFeedFrom

    public void setFeedFrom(java.lang.Object feedFrom)

  Sets the Object that provides the data (via a method or a field) for this SequenceSource.

  Parameters:
    `feedFrom` - the object that provides the data (via a method or a field) for this SequenceSource

### getMarkStyle

    public int getMarkStyle()

  Returns the mark style (the shape of the point) for this SequenceSource. The appropriate types are:
  FILLED_CIRCLE = 0; CROSS = 1; SQUARE = 2; FILLED_TRIANGLE = 3; DIAMOND = 4; CIRCLE = 5; PLUS_SIGN = 6; FILLED_SQUARE = 7; TRIANGLE = 8; FILLED_DIAMOND = 9;

### setMarkStyle

    public void setMarkStyle(int markType)

  Returns the mark style (the shape of the point) for this SequenceSource. The appropriate types are:
  FILLED_CIRCLE = 0; CROSS = 1; SQUARE = 2; FILLED_TRIANGLE = 3; DIAMOND = 4; CIRCLE = 5; PLUS_SIGN = 6; FILLED_SQUARE = 7; TRIANGLE = 8; FILLED_DIAMOND = 9;

  Parameters:
    `markType` - the mark style

### getColor

    public java.awt.Color getColor()

  Returns the Color of the sequence created by this SequenceSource.

  Returns:

### setColor

    public void setColor(java.awt.Color color)

  Sets the Color of the sequence created by this SequenceSource.

  Parameters:
    `color` - the color of the sequence

### getFullName

    public java.lang.String getFullName()

  Description copied from interface: `GuiChartDataSource`
  Returns the name of this data source prefixed by its source. For example, MyModel.getData

  Specified by:
    `getFullName` in interface `GuiChartDataSource`

### getShortName

    public java.lang.String getShortName()

  Description copied from interface: `GuiChartDataSource`
  Returns the name of this data source.

  Specified by:
    `getShortName` in interface `GuiChartDataSource`

### copy

    public GuiChartDataSource copy()

  Description copied from interface: `GuiChartDataSource`
  Returns a copy of this GuiChartDataSource.

  Specified by:
    `copy` in interface `GuiChartDataSource`

### toXML

    public java.lang.String toXML()

  Description copied from interface: `GuiChartDataSource`
  Returns an XML representation of this GuiChartDataSource.

  Specified by:
    `toXML` in interface `GuiChartDataSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD